Wbemcli.IWbemLocator (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, interface: Wbemcli, class: IWbemLocator

Package com.sun.jna.platform.win32.COM

# Class Wbemcli.IWbemLocator

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.Unknown
com.sun.jna.platform.win32.COM.Wbemcli.IWbemLocator

All Implemented Interfaces:
  `NativeMapped`, `IUnknown`

Enclosing interface:
  Wbemcli

public static class Wbemcli.IWbemLocator extends Unknown
Used to obtain the initial namespace pointer to the IWbemServices interface for WMI on a specific host computer.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

  `Unknown.ByReference`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Guid.CLSID`
  `CLSID_WbemLocator`
  `static final Guid.GUID`
  `IID_IWbemLocator`

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IWbemLocator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.HRESULT`
  `ConnectServer(WTypes.BSTR strNetworkResource, WTypes.BSTR strUser, WTypes.BSTR strPassword, WTypes.BSTR strLocale, int lSecurityFlags, WTypes.BSTR strAuthority, Wbemcli.IWbemContext pCtx, PointerByReference ppNamespace)`
  `Wbemcli.IWbemServices`
  `ConnectServer(String strNetworkResource, String strUser, String strPassword, String strLocale, int lSecurityFlags, String strAuthority, Wbemcli.IWbemContext pCtx)`
  `static Wbemcli.IWbemLocator`
  `create()`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

  `AddRef, QueryInterface, Release`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

  `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CLSID_WbemLocator

    public static final Guid.CLSID CLSID_WbemLocator

  - ### IID_IWbemLocator

    public static final Guid.GUID IID_IWbemLocator

- ## Constructor Details

  - ### IWbemLocator

    public IWbemLocator()

- ## Method Details

  - ### create

    public static Wbemcli.IWbemLocator create()

  - ### ConnectServer

    public WinNT.HRESULT ConnectServer(WTypes.BSTR strNetworkResource, WTypes.BSTR strUser, WTypes.BSTR strPassword, WTypes.BSTR strLocale, int lSecurityFlags, WTypes.BSTR strAuthority, Wbemcli.IWbemContext pCtx, PointerByReference ppNamespace)

  - ### ConnectServer

    public Wbemcli.IWbemServices ConnectServer(String strNetworkResource, String strUser, String strPassword, String strLocale, int lSecurityFlags, String strAuthority, Wbemcli.IWbemContext pCtx)